Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203360 - jpackage-utils-README contains unexpanded RPM macros
Summary: jpackage-utils-README contains unexpanded RPM macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: jpackage-utils
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: Martin Frodl
URL:
Whiteboard:
Depends On:
Blocks: 1271375
TreeView+ depends on / blocked
 
Reported: 2015-03-18 16:54 UTC by Martin Frodl
Modified: 2016-05-10 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 20:08:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (599 bytes, patch)
2015-03-20 16:44 UTC, jiri vanek
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0773 0 normal SHIPPED_LIVE jpackage-utils bug fix update 2016-05-10 22:34:50 UTC

Description Martin Frodl 2015-03-18 16:54:04 UTC
Description of problem:

There are unexpanded RPM macros in file /usr/share/doc/jpackage-utils-1.7.5/jpackage-utils-README, such as:

* %{_bindir}/check-binary-files
                                check for presence of unexpected binary files
* %{_datadir}/java-utils/java-functions
                                shell script functions library for Java
                                applications
* %{_sysconfdir}/java/jpackage-release
                                string identifying the currently installed
                                JPackage release
etc.

Please either make sure they are expanded when building the RPM or -- in case
this is intentional -- provide a justification for why to keep the file the way it is.

Version-Release number of selected component (if applicable):
jpackage-utils-1.7.5-3.14.el6.noarch

Comment 2 jiri vanek 2015-03-20 16:44:11 UTC
Created attachment 1004561 [details]
patch

Comment 3 jiri vanek 2015-03-20 16:44:39 UTC
should do the job

Comment 4 Deepak Bhole 2015-03-24 13:44:55 UTC
Hi Jiri, thanks for the patch. It looks fine to me. Approved for push assuming smoke testing has been performed.

Comment 5 jiri vanek 2015-03-24 14:25:36 UTC
Yes, it was tested, and the macros are "expanded". To push, I will need pm++ and qa++. Maybe they will notice this time...?

Comment 11 errata-xmlrpc 2016-05-10 20:08:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0773.html


Note You need to log in before you can comment on or make changes to this bug.